import java.awt.Cursor;
import java.awt.event.*;
import javax.swing.*;

public class ConfigurationMenuListener implements ActionListener {
   private MyWorld  world;

   public ConfigurationMenuListener (MyWorld  w){
      world = w;
   }

   public void actionPerformed(ActionEvent e) {
      JMenuItem menuItem = (JMenuItem)(e.getSource());
      String text = menuItem.getText();
      if (e.getSource() instanceof JRadioButtonMenuItem){
          world.setBlock(Integer.parseInt(text.substring(5)));
        }
      if (text.equals("Ball")) {
         GBall ball = new GBall(10f, new Vector2D(200f,200f), new Vector2D(), 15f);
         world.addElement(ball);
         world.getMenuBar().AddMassOption(ball,this);
         world.setNormalCursor();
       }
      if (text.equals("Fixed Hook")) {
         world.addElement(new GFixedHook(new Vector2D(200f,100f), 30f));
         world.setNormalCursor();
       }
      if (text.equals("Spring")) {
         world.addElement(new GSpring (200f, 10f));
         world.setNormalCursor();
       }
      if (text.equals("Rubber")) {
         world.addElement(new GRubber (200f, 10f));
         world.setNormalCursor();
       }
      if (text.equals("Delete")){
         world.setCrossCursor();
       }
      if (text.equals("D")){
         world.setCrossCursor();
       }
   }
}